import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

import { environment } from '@environments/environment';
import {Observable} from "rxjs";

@Injectable({ providedIn: 'root' })
export class UserService {
  constructor(private http: HttpClient) {
  }

  me(params?: {}): Observable<any> {
    return this.http.get(`${environment.apiUrl}/api/me`, {params: params});
  }

}
